[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] qemu: Reject SDL graphic if it's not supported by qemu



于 2011年01月11日 22:25, Richard W.M. Jones 写道:
On Tue, Jan 11, 2011 at 10:03:42PM +0800, Osier Yang wrote:
于 2011年01月11日 21:39, Richard W.M. Jones 写道:

On Tue, Jan 11, 2011 at 09:21:26PM +0800, Osier Yang wrote:
So, it means the newer qemu-kvm (of RHEL) doesn't support sdl
anymore. Didn't send the patch to Red Hat internal list,
as the patch won't conflict with upstream.

IMHO it's not reasonable that we have "sdl" xml in domain
config, but no according command line of qemu, and pretend
everything is fine.

Any good idea? Thanks

qemu needs to support capabilities ...

Been discussed with upstream qemu many times and no movement
on it.

Rich.

Even qemu support capabilities, I guess it also need to be
backported to older versions of qemu. Otherwise we still
have the problem.

It's not so much a problem for RHEL, since there are only a handful of
versions of qemu for RHEL and we could just build a big table of
precise version ->  features supported.  It's a bunch of unnecessary
effort, that's all.

But this doesn't scale for every version of qemu, and won't even work
if you consider qemu that people have compiled for themselves.

So we need to fix this for _future_ versions and continue with the
current hacks for older versions.


Yeah, this make sense, seems we have no other choice, thanks for
the idea. :-)

Regards
Osier


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]